Package: org.codehaus.groovy.ast

## [Java] Class PackageNode

- org.codehaus.groovy.ast.PackageNode

-     public class PackageNode
      extends AnnotatedNode

  Represents a package in the AST.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `PackageNode(String name)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public String` | `getName()`
    `` | `public String` | `getText()` Returns: the text display of this package definition
    `` | `public void` | `visit(GroovyCodeVisitor visitor)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AnnotatedNode` | `addAnnotation, addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, getGroovydoc, getInstance, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`
    `class ASTNode` | `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, getText, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setMetaDataMap, setSourcePosition, visit`

- - ### Constructor Detail

    - #### public PackageNode(String name)

  - ### Method Detail

    - #### public String getName()

    - #### @Override
      public String getText()

      Returns:
        the text display of this package definition

    - #### @Override
      public void visit(GroovyCodeVisitor visitor)